Forum Discussion

Anonymous's avatar
Anonymous
Not applicable
7 years ago

Generate Embed token with RLS

I am trying to generate Embed token with RLS using POSTMAN providing parameters:

 

POST https://api.powerbi.com/v1.0/myorg/groups/{GROUP ID}/reports/{REPORT ID}/GenerateToken
headers = {
Authorization: Bearer + {access_token from first post}
Content-Type:application/json; charset=utf-8
Accept:application/json
}
data= {
"accessLevel": "View",
"allowSaveAs": "false"
"identities": [
{
"username": "[email protected]",
"roles": [ "abc" ],
"datasets": [ "datasetID" ]
}
]
}

 

The generated token checked on https://microsoft.github.io/PowerBI-JavaScript/demo/v2-demo/index.html#

Embeded URL:  https://api.powerbi.com/v1.0/myorg/groups/GROUPID/reports/REPORTID/GenerateToken

 

It is showing whole report without applying RLS. Is this approch is correct?

2 Replies

  • Anonymous's avatar
    Anonymous
    Not applicable

    Any suggestions?

  • Anonymous's avatar
    Anonymous
    Not applicable

    It will be great if someone suggest ans ASAP.